Convert a lead
curl --request POST \
--url https://api.nateq.io/api/v1/leads/{id}/convert \
--header 'Authorization: <api-key>'{
"data": {
"activities": [
{
"actorId": "<string>",
"actorName": "<string>",
"actorType": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"description": "<string>",
"id": "<string>",
"metadata": "<string>",
"newValue": "<string>",
"oldValue": "<string>",
"updatedAt": "<string>"
}
],
"avatar": "<string>",
"channelData": "<string>",
"company": {
"domain": "<string>",
"id": "<string>",
"name": "<string>"
},
"companyId": "<string>",
"companyName": "<string>",
"country": "<string>",
"createdAt": "<string>",
"doNotContact": true,
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"isAnonymous": true,
"isPotentialClient": true,
"language": "<string>",
"name": "<string>",
"organizationId": "<string>",
"phone": "<string>",
"position": "<string>",
"source": "<string>",
"tags": [
{
"color": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"whatsappOptedOut": true,
"whatsappOptedOutAt": "<string>"
},
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"count": 123,
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Convert a lead
Convert a lead into a contact.
POST
/
leads
/
{id}
/
convert
Convert a lead
curl --request POST \
--url https://api.nateq.io/api/v1/leads/{id}/convert \
--header 'Authorization: <api-key>'{
"data": {
"activities": [
{
"actorId": "<string>",
"actorName": "<string>",
"actorType": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"description": "<string>",
"id": "<string>",
"metadata": "<string>",
"newValue": "<string>",
"oldValue": "<string>",
"updatedAt": "<string>"
}
],
"avatar": "<string>",
"channelData": "<string>",
"company": {
"domain": "<string>",
"id": "<string>",
"name": "<string>"
},
"companyId": "<string>",
"companyName": "<string>",
"country": "<string>",
"createdAt": "<string>",
"doNotContact": true,
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"isAnonymous": true,
"isPotentialClient": true,
"language": "<string>",
"name": "<string>",
"organizationId": "<string>",
"phone": "<string>",
"position": "<string>",
"source": "<string>",
"tags": [
{
"color": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"whatsappOptedOut": true,
"whatsappOptedOutAt": "<string>"
},
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"count": 123,
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Authorizations
Your API key as a Bearer token: Authorization: Bearer tg_live_...
Path Parameters
Lead ID
Was this page helpful?
⌘I